
_OLED_M_command:

;OLED.c,3 :: 		void OLED_M_command(unsigned char temp){
;OLED.c,4 :: 		OLED_CS=0;
	BCF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;OLED.c,5 :: 		OLED_DC=0;
	BCF         LATG3_bit+0, BitPos(LATG3_bit+0) 
;OLED.c,6 :: 		SPI1_Write(temp);
	MOVF        FARG_OLED_M_command_temp+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;OLED.c,7 :: 		OLED_CS=1;
	BSF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;OLED.c,8 :: 		}
L_end_OLED_M_command:
	RETURN      0
; end of _OLED_M_command

_OLED_M_data:

;OLED.c,10 :: 		void OLED_M_data(unsigned char temp){
;OLED.c,11 :: 		OLED_CS=0;
	BCF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;OLED.c,12 :: 		OLED_DC=1;
	BSF         LATG3_bit+0, BitPos(LATG3_bit+0) 
;OLED.c,13 :: 		SPI1_Write(temp);
	MOVF        FARG_OLED_M_data_temp+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;OLED.c,14 :: 		OLED_CS=1;
	BSF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;OLED.c,15 :: 		}
L_end_OLED_M_data:
	RETURN      0
; end of _OLED_M_data

_OLED_M_Init:

;OLED.c,17 :: 		void OLED_M_Init() {
;OLED.c,18 :: 		OLED_RST=0;
	BCF         LATD2_bit+0, BitPos(LATD2_bit+0) 
;OLED.c,19 :: 		Delay_ms(100);
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       23
	MOVWF       R12, 0
	MOVLW       106
	MOVWF       R13, 0
L_OLED_M_Init0:
	DECFSZ      R13, 1, 1
	BRA         L_OLED_M_Init0
	DECFSZ      R12, 1, 1
	BRA         L_OLED_M_Init0
	DECFSZ      R11, 1, 1
	BRA         L_OLED_M_Init0
	NOP
;OLED.c,20 :: 		OLED_RST=1;
	BSF         LATD2_bit+0, BitPos(LATD2_bit+0) 
;OLED.c,21 :: 		Delay_ms(100);
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       23
	MOVWF       R12, 0
	MOVLW       106
	MOVWF       R13, 0
L_OLED_M_Init1:
	DECFSZ      R13, 1, 1
	BRA         L_OLED_M_Init1
	DECFSZ      R12, 1, 1
	BRA         L_OLED_M_Init1
	DECFSZ      R11, 1, 1
	BRA         L_OLED_M_Init1
	NOP
;OLED.c,22 :: 		OLED_M_command(SSD1306_DISPLAYOFF);             //0xAE  Set OLED Display Off
	MOVLW       174
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,23 :: 		OLED_M_command(SSD1306_SETDISPLAYCLOCKDIV);     //0xD5  Set Display Clock Divide Ratio/Oscillator Frequency
	MOVLW       213
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,24 :: 		OLED_M_command(0x80);
	MOVLW       128
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,25 :: 		OLED_M_command(SSD1306_SETMULTIPLEX);           //0xA8  Set Multiplex Ratio
	MOVLW       168
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,26 :: 		OLED_M_command(39);
	MOVLW       39
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,27 :: 		OLED_M_Command(SSD1306_SETSEGMENTREMAP);        //0xA1  Set Segment Remap Inv
	MOVLW       161
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,28 :: 		OLED_M_Command(SSD1306_COMSCANDEC);             //0xC8  Set COM Output Scan Inv
	MOVLW       200
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,29 :: 		OLED_M_Command(SSD1306_SETSTARTLINE);           //0x40  Set Display Start Line
	MOVLW       64
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,30 :: 		OLED_M_command(SSD1306_SETDISPLAYOFFSET);       //0xD3  Set Display Offset
	MOVLW       211
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,31 :: 		OLED_M_command(0x00);
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,33 :: 		OLED_M_command(SSD1306_CHARGEPUMP);             //0x8D  Set Charge Pump
	MOVLW       141
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,34 :: 		OLED_M_command(0x14);                           //0x14  Enable Charge Pump
	MOVLW       20
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,36 :: 		OLED_M_command(SSD1306_SETCOMPINS);             //0xDA  Set COM Pins Hardware Configuration
	MOVLW       218
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,37 :: 		OLED_M_command(0x12);
	MOVLW       18
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,38 :: 		OLED_M_command(SSD1306_SETCONTRAST);            //0x81   Set Contrast Control
	MOVLW       129
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,39 :: 		OLED_M_command(0xAF);
	MOVLW       175
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,40 :: 		OLED_M_command(SSD1306_SETPRECHARGE);           //0xD9   Set Pre-Charge Period
	MOVLW       217
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,41 :: 		OLED_M_command(0x25);
	MOVLW       37
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,42 :: 		OLED_M_command(SSD1306_SETVCOMDETECT);          //0xDB   Set VCOMH Deselect Level
	MOVLW       219
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,43 :: 		OLED_M_command(0x20);
	MOVLW       32
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,44 :: 		OLED_M_command(SSD1306_DISPLAYALLON_RESUME);    //0xA4   Set Entire Display On/Off
	MOVLW       164
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,45 :: 		OLED_M_command(SSD1306_NORMALDISPLAY);          //0xA6   Set Normal/Inverse Display
	MOVLW       166
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,46 :: 		OLED_M_command(SSD1306_DISPLAYON);              //0xAF   Set OLED Display On
	MOVLW       175
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,47 :: 		}
L_end_OLED_M_Init:
	RETURN      0
; end of _OLED_M_Init

_Set_Page_Address:

;OLED.c,54 :: 		void Set_Page_Address(unsigned char add) {
;OLED.c,55 :: 		add=0xb0|add;
	MOVLW       176
	IORWF       FARG_Set_Page_Address_add+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       FARG_Set_Page_Address_add+0 
;OLED.c,56 :: 		OLED_M_command(add);
	MOVF        R0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,57 :: 		}
L_end_Set_Page_Address:
	RETURN      0
; end of _Set_Page_Address

_Set_Column_Address:

;OLED.c,59 :: 		void Set_Column_Address(unsigned char add) {
;OLED.c,60 :: 		add += 32;
	MOVLW       32
	ADDWF       FARG_Set_Column_Address_add+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       FARG_Set_Column_Address_add+0 
;OLED.c,61 :: 		OLED_M_command((0x10|(add>>4)));
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       16
	IORWF       R0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,62 :: 		OLED_M_command((0x0f&add));
	MOVLW       15
	ANDWF       FARG_Set_Column_Address_add+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,63 :: 		}
L_end_Set_Column_Address:
	RETURN      0
; end of _Set_Column_Address

_Display_Picture:

;OLED.c,67 :: 		void Display_Picture(unsigned char pic[]) {
;OLED.c,68 :: 		unsigned char i,j,num=0;
;OLED.c,69 :: 		for(i=0;i<0x05;i++) {
	CLRF        Display_Picture_i_L0+0 
L_Display_Picture2:
	MOVLW       5
	SUBWF       Display_Picture_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_Picture3
;OLED.c,70 :: 		Set_Page_Address(i);
	MOVF        Display_Picture_i_L0+0, 0 
	MOVWF       FARG_Set_Page_Address_add+0 
	CALL        _Set_Page_Address+0, 0
;OLED.c,72 :: 		OLED_M_command(0x10);
	MOVLW       16
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,73 :: 		OLED_M_command(0x40);
	MOVLW       64
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,74 :: 		for(j=0;j<0x60;j++) {
	CLRF        Display_Picture_j_L0+0 
L_Display_Picture5:
	MOVLW       96
	SUBWF       Display_Picture_j_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_Picture6
;OLED.c,75 :: 		OLED_M_data(pic[i*0x60+j]);
	MOVLW       96
	MULWF       Display_Picture_i_L0+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        PRODH+0, 0 
	MOVWF       R1 
	MOVF        Display_Picture_j_L0+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	ADDWF       FARG_Display_Picture_pic+0, 0 
	MOVWF       FSR0 
	MOVF        R1, 0 
	ADDWFC      FARG_Display_Picture_pic+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_OLED_M_data_temp+0 
	CALL        _OLED_M_data+0, 0
;OLED.c,74 :: 		for(j=0;j<0x60;j++) {
	INCF        Display_Picture_j_L0+0, 1 
;OLED.c,76 :: 		}
	GOTO        L_Display_Picture5
L_Display_Picture6:
;OLED.c,69 :: 		for(i=0;i<0x05;i++) {
	INCF        Display_Picture_i_L0+0, 1 
;OLED.c,77 :: 		}
	GOTO        L_Display_Picture2
L_Display_Picture3:
;OLED.c,78 :: 		}
L_end_Display_Picture:
	RETURN      0
; end of _Display_Picture

_contrast_control:

;OLED.c,80 :: 		void contrast_control(unsigned char temp){
;OLED.c,81 :: 		OLED_M_command(SSD1306_SETCONTRAST);           //0x81   Set Contrast Control
	MOVLW       129
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,82 :: 		OLED_M_command(temp);                          // contrast step 1 to 256
	MOVF        FARG_contrast_control_temp+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,83 :: 		}
L_end_contrast_control:
	RETURN      0
; end of _contrast_control

_startscroll_Right:

;OLED.c,85 :: 		void startscroll_Right(unsigned char x, unsigned char y){
;OLED.c,86 :: 		OLED_M_command(SSD1306_RIGHT_HORIZONTAL_SCROLL);      //0x26  Right Horizontal scroll
	MOVLW       38
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,87 :: 		OLED_M_command(0X00);                                 //dummy byte
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,88 :: 		OLED_M_command(x);                                    //define start page address
	MOVF        FARG_startscroll_Right_x+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,89 :: 		OLED_M_command(0X00);                                 //Set time interval between each scroll
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,90 :: 		OLED_M_command(y);                                    //Define end page address
	MOVF        FARG_startscroll_Right_y+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,91 :: 		OLED_M_command(0X00);                                 //dummy byte
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,92 :: 		OLED_M_command(0XFF);                                 //dummy byte
	MOVLW       255
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,93 :: 		OLED_M_command(SSD1306_ACTIVATE_SCROLL);
	MOVLW       47
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,94 :: 		}
L_end_startscroll_Right:
	RETURN      0
; end of _startscroll_Right

_startscroll_Left:

;OLED.c,96 :: 		void startscroll_Left(unsigned char x, unsigned char y){
;OLED.c,97 :: 		OLED_M_command(SSD1306_LEFT_HORIZONTAL_SCROLL);       //0x27  Right Horizontal scroll
	MOVLW       39
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,98 :: 		OLED_M_command(0X00);                                 //dummy byte
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,99 :: 		OLED_M_command(x);                                    //define start page address
	MOVF        FARG_startscroll_Left_x+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,100 :: 		OLED_M_command(0X00);                                 //Set time interval between each scroll
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,101 :: 		OLED_M_command(y);                                    //Define end page address
	MOVF        FARG_startscroll_Left_y+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,102 :: 		OLED_M_command(0X00);                                 //dummy byte
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,103 :: 		OLED_M_command(0XFF);                                 //dummy byte
	MOVLW       255
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,104 :: 		OLED_M_command(SSD1306_ACTIVATE_SCROLL);              //0x2F Activate scroll
	MOVLW       47
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,105 :: 		}
L_end_startscroll_Left:
	RETURN      0
; end of _startscroll_Left

_startscroll_DiagRight:

;OLED.c,107 :: 		void startscroll_DiagRight(unsigned char x, unsigned char y){
;OLED.c,108 :: 		OLED_M_command(SSD1306_SET_VERTICAL_SCROLL_AREA);              //0xA3 Set Vertical Scroll Area
	MOVLW       163
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,109 :: 		OLED_M_command(0X00);                                          //Set No. of rows in top fixed area
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,110 :: 		OLED_M_command(SSD1306_LCDHEIGHT);                             //Set No. of rows in scroll area
	MOVLW       39
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,111 :: 		OLED_M_command(SSD1306_VERTICAL_AND_RIGHT_HORIZONTAL_SCROLL);  //0x29 Vertical and Right Horizontal Scroll
	MOVLW       41
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,112 :: 		OLED_M_command(0X00);                                          //dummy byte
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,113 :: 		OLED_M_command(x);                                             //Define start page address
	MOVF        FARG_startscroll_DiagRight_x+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,114 :: 		OLED_M_command(0X00);                                          //Set time interval between each scroll
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,115 :: 		OLED_M_command(y);                                             //Define end page address
	MOVF        FARG_startscroll_DiagRight_y+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,116 :: 		OLED_M_command(0X01);                                          //Vertical scrolling offset
	MOVLW       1
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,117 :: 		OLED_M_command(SSD1306_ACTIVATE_SCROLL);                       //0x2F Activate scroll
	MOVLW       47
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,118 :: 		}
L_end_startscroll_DiagRight:
	RETURN      0
; end of _startscroll_DiagRight

_startscroll_DiagLeft:

;OLED.c,120 :: 		void startscroll_DiagLeft(unsigned char x, unsigned char y){
;OLED.c,121 :: 		OLED_M_command(SSD1306_SET_VERTICAL_SCROLL_AREA);              //0xA3 Set Vertical Scroll Area
	MOVLW       163
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,122 :: 		OLED_M_command(0X00);                                          //Set No. of rows in top fixed area
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,123 :: 		OLED_M_command(SSD1306_LCDHEIGHT);                             //Set No. of rows in scroll area
	MOVLW       39
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,124 :: 		OLED_M_command(SSD1306_VERTICAL_AND_LEFT_HORIZONTAL_SCROLL);   //0x2A Vertical and Right Horizontal Scroll
	MOVLW       42
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,125 :: 		OLED_M_command(0X00);                                          //dummy byte
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,126 :: 		OLED_M_command(x);                                             //Define start page address
	MOVF        FARG_startscroll_DiagLeft_x+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,127 :: 		OLED_M_command(0X00);                                          //Set time interval between each scroll
	CLRF        FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,128 :: 		OLED_M_command(y);                                             //Define end page address
	MOVF        FARG_startscroll_DiagLeft_y+0, 0 
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,129 :: 		OLED_M_command(0X01);                                          //Vertical scrolling offset
	MOVLW       1
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,130 :: 		OLED_M_command(SSD1306_ACTIVATE_SCROLL);                       //2F Activate scroll
	MOVLW       47
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,131 :: 		}
L_end_startscroll_DiagLeft:
	RETURN      0
; end of _startscroll_DiagLeft

_scroll_STOP:

;OLED.c,133 :: 		void scroll_STOP(){
;OLED.c,134 :: 		OLED_M_command(0x2E);    //0x2E deactivate scroll
	MOVLW       46
	MOVWF       FARG_OLED_M_command_temp+0 
	CALL        _OLED_M_command+0, 0
;OLED.c,135 :: 		}
L_end_scroll_STOP:
	RETURN      0
; end of _scroll_STOP

_OLED_Clear:

;OLED.c,139 :: 		void OLED_Clear( void)
;OLED.c,142 :: 		for( i=0; i<5; i++) // 5*8=40 pixel rows (actually 39)
	CLRF        OLED_Clear_i_L0+0 
L_OLED_Clear8:
	MOVLW       5
	SUBWF       OLED_Clear_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_Clear9
;OLED.c,144 :: 		Set_Page_Address( i);
	MOVF        OLED_Clear_i_L0+0, 0 
	MOVWF       FARG_Set_Page_Address_add+0 
	CALL        _Set_Page_Address+0, 0
;OLED.c,145 :: 		Set_Column_Address( 0);
	CLRF        FARG_Set_Column_Address_add+0 
	CALL        _Set_Column_Address+0, 0
;OLED.c,146 :: 		for( j=0; j<96; j++)  OLED_M_Data( 0);
	CLRF        OLED_Clear_j_L0+0 
L_OLED_Clear11:
	MOVLW       96
	SUBWF       OLED_Clear_j_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_Clear12
	CLRF        FARG_OLED_M_data_temp+0 
	CALL        _OLED_M_data+0, 0
	INCF        OLED_Clear_j_L0+0, 1 
	GOTO        L_OLED_Clear11
L_OLED_Clear12:
;OLED.c,142 :: 		for( i=0; i<5; i++) // 5*8=40 pixel rows (actually 39)
	INCF        OLED_Clear_i_L0+0, 1 
;OLED.c,147 :: 		}
	GOTO        L_OLED_Clear8
L_OLED_Clear9:
;OLED.c,148 :: 		x = 0; y = 0;
	CLRF        _x+0 
	CLRF        _y+0 
;OLED.c,149 :: 		Set_Page_Address(0);
	CLRF        FARG_Set_Page_Address_add+0 
	CALL        _Set_Page_Address+0, 0
;OLED.c,150 :: 		Set_Column_Address(0);
	CLRF        FARG_Set_Column_Address_add+0 
	CALL        _Set_Column_Address+0, 0
;OLED.c,151 :: 		}
L_end_OLED_Clear:
	RETURN      0
; end of _OLED_Clear

_OLED_Putchar:

;OLED.c,153 :: 		void OLED_Putchar( char ch)
;OLED.c,156 :: 		const char *f = &font[(ch-' ')*5];
	MOVLW       32
	SUBWF       FARG_OLED_Putchar_ch+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       5
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       _font+0
	ADDWF       R0, 0 
	MOVWF       OLED_Putchar_f_L0+0 
	MOVLW       hi_addr(_font+0)
	ADDWFC      R1, 0 
	MOVWF       OLED_Putchar_f_L0+1 
	MOVLW       higher_addr(_font+0)
	MOVWF       OLED_Putchar_f_L0+2 
	MOVLW       0
	BTFSC       R1, 7 
	MOVLW       255
	ADDWFC      OLED_Putchar_f_L0+2, 1 
;OLED.c,157 :: 		for( i=0; i<5; i++)
	CLRF        OLED_Putchar_i_L0+0 
L_OLED_Putchar14:
	MOVLW       5
	SUBWF       OLED_Putchar_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_Putchar15
;OLED.c,158 :: 		OLED_M_Data( *f++ << 1);
	MOVF        OLED_Putchar_f_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVF        OLED_Putchar_f_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVF        OLED_Putchar_f_L0+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVF        R1, 0 
	MOVWF       FARG_OLED_M_data_temp+0 
	RLCF        FARG_OLED_M_data_temp+0, 1 
	BCF         FARG_OLED_M_data_temp+0, 0 
	CALL        _OLED_M_data+0, 0
	MOVLW       1
	ADDWF       OLED_Putchar_f_L0+0, 1 
	MOVLW       0
	ADDWFC      OLED_Putchar_f_L0+1, 1 
	ADDWFC      OLED_Putchar_f_L0+2, 1 
;OLED.c,157 :: 		for( i=0; i<5; i++)
	INCF        OLED_Putchar_i_L0+0, 1 
;OLED.c,158 :: 		OLED_M_Data( *f++ << 1);
	GOTO        L_OLED_Putchar14
L_OLED_Putchar15:
;OLED.c,159 :: 		OLED_M_Data( 0);
	CLRF        FARG_OLED_M_data_temp+0 
	CALL        _OLED_M_data+0, 0
;OLED.c,160 :: 		x++;
	INCF        _x+0, 1 
;OLED.c,161 :: 		if (x >= 16) { // wrap x
	MOVLW       16
	SUBWF       _x+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_Putchar17
;OLED.c,162 :: 		x = 0; Set_Column_Address(0);
	CLRF        _x+0 
	CLRF        FARG_Set_Column_Address_add+0 
	CALL        _Set_Column_Address+0, 0
;OLED.c,163 :: 		y++;
	INCF        _y+0, 1 
;OLED.c,164 :: 		if (y >= 5) { // wrap y
	MOVLW       5
	SUBWF       _y+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_Putchar18
;OLED.c,165 :: 		y = 0;
	CLRF        _y+0 
;OLED.c,166 :: 		}
L_OLED_Putchar18:
;OLED.c,167 :: 		Set_Page_Address(y);
	MOVF        _y+0, 0 
	MOVWF       FARG_Set_Page_Address_add+0 
	CALL        _Set_Page_Address+0, 0
;OLED.c,168 :: 		}
L_OLED_Putchar17:
;OLED.c,169 :: 		}
L_end_OLED_Putchar:
	RETURN      0
; end of _OLED_Putchar

_OLED_Puts:

;OLED.c,171 :: 		void OLED_Puts( char x1, char y1, char *s)
;OLED.c,173 :: 		y = y1; x = x1;
	MOVF        FARG_OLED_Puts_y1+0, 0 
	MOVWF       _y+0 
	MOVF        FARG_OLED_Puts_x1+0, 0 
	MOVWF       _x+0 
;OLED.c,174 :: 		Set_Page_Address(y);
	MOVF        FARG_OLED_Puts_y1+0, 0 
	MOVWF       FARG_Set_Page_Address_add+0 
	CALL        _Set_Page_Address+0, 0
;OLED.c,175 :: 		Set_Column_Address(x *6);
	MOVLW       6
	MULWF       _x+0 
	MOVF        PRODL+0, 0 
	MOVWF       FARG_Set_Column_Address_add+0 
	CALL        _Set_Column_Address+0, 0
;OLED.c,176 :: 		while( *s) {
L_OLED_Puts19:
	MOVFF       FARG_OLED_Puts_s+0, FSR0
	MOVFF       FARG_OLED_Puts_s+1, FSR0H
	MOVF        POSTINC0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_OLED_Puts20
;OLED.c,177 :: 		OLED_Putchar( *s++);
	MOVFF       FARG_OLED_Puts_s+0, FSR0
	MOVFF       FARG_OLED_Puts_s+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_OLED_Putchar_ch+0 
	CALL        _OLED_Putchar+0, 0
	INFSNZ      FARG_OLED_Puts_s+0, 1 
	INCF        FARG_OLED_Puts_s+1, 1 
;OLED.c,178 :: 		x++;
	INCF        _x+0, 1 
;OLED.c,179 :: 		}
	GOTO        L_OLED_Puts19
L_OLED_Puts20:
;OLED.c,180 :: 		}
L_end_OLED_Puts:
	RETURN      0
; end of _OLED_Puts
